
package de.ivu.elect.jee.presentation.menu;

import org.primefaces.model.menu.DefaultSeparator;
import org.primefaces.model.menu.MenuElement;

public class SeparatorMenuEntry implements MenuEntry {

  private static final long serialVersionUID = 1L;

  public SeparatorMenuEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    // für die darüberliegenden Komponenten sieht dieser "MenuEntry" so aus, als sei er nicht da, damit nicht fehlerhafterweise ein SubMenu ohne Einträge gerendert wird
    return false;
  }

  @Override
  public MenuElement buildComponent() {
    return new DefaultSeparator();
  }

  @Override
  public boolean isTopicActive() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "";
  }
}
